package com.heyu.api.data.dao.device;
/**
* <p>
* 工厂信息表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.device.DeviceProductFactoryInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface DeviceProductFactoryInfoDao extends BaseMapper<DeviceProductFactoryInfoEntity> {


	DeviceProductFactoryInfoEntity selectDeviceProductFactoryInfoById(@Param("id")Long id);


	Long insertDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	Long insertOrUpdateDeviceProductFactoryInfo(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int updateDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int updateCoverDeviceProductFactoryInfoById(DeviceProductFactoryInfoEntity deviceProductFactoryInfo);


	int deleteDeviceProductFactoryInfoById(@Param("id")Long id);


}